export default Ember.HTMLBars.template((function() {
  var child0 = (function() {
    return {
      meta: {
        "revision": "Ember@1.13.11",
        "loc": {
          "source": null,
          "start": {
            "line": 16,
            "column": 0
          },
          "end": {
            "line": 35,
            "column": 0
          }
        },
        "moduleName": "my-weather-forecast/templates/city.hbs"
      },
      arity: 1,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createTextNode("	");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","day_list_item");
        var el2 = dom.createTextNode("\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_date");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_weather_main");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_weather_description");
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("img");
        dom.setAttribute(el2,"class","day_icon");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_min");
        var el3 = dom.createTextNode("Min.: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_max");
        var el3 = dom.createTextNode("Max.: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_morning");
        var el3 = dom.createTextNode("Morning: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_day");
        var el3 = dom.createTextNode("Day: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_night");
        var el3 = dom.createTextNode("Night: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_eve");
        var el3 = dom.createTextNode("Eve: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n		");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","day_humidity");
        var el3 = dom.createTextNode("Humidity: ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("%");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n	");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [1]);
        var element1 = dom.childAt(element0, [7]);
        var element2 = dom.childAt(element0, [9]);
        var element3 = dom.childAt(element0, [11]);
        var element4 = dom.childAt(element0, [13]);
        var element5 = dom.childAt(element0, [15]);
        var element6 = dom.childAt(element0, [17]);
        var element7 = dom.childAt(element0, [19]);
        var morphs = new Array(17);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [1]),0,0);
        morphs[1] = dom.createMorphAt(dom.childAt(element0, [3]),0,0);
        morphs[2] = dom.createMorphAt(dom.childAt(element0, [5]),0,0);
        morphs[3] = dom.createAttrMorph(element1, 'src');
        morphs[4] = dom.createMorphAt(element2,1,1);
        morphs[5] = dom.createMorphAt(element2,2,2);
        morphs[6] = dom.createMorphAt(element3,1,1);
        morphs[7] = dom.createMorphAt(element3,2,2);
        morphs[8] = dom.createMorphAt(element4,1,1);
        morphs[9] = dom.createMorphAt(element4,2,2);
        morphs[10] = dom.createMorphAt(element5,1,1);
        morphs[11] = dom.createMorphAt(element5,2,2);
        morphs[12] = dom.createMorphAt(element6,1,1);
        morphs[13] = dom.createMorphAt(element6,2,2);
        morphs[14] = dom.createMorphAt(element7,1,1);
        morphs[15] = dom.createMorphAt(element7,2,2);
        morphs[16] = dom.createMorphAt(dom.childAt(element0, [21]),1,1);
        return morphs;
      },
      statements: [
        ["content","day.dt",["loc",[null,[18,24],[18,34]]]],
        ["content","day.weather.0.main",["loc",[null,[20,32],[20,54]]]],
        ["content","day.weather.0.description",["loc",[null,[21,39],[21,68]]]],
        ["attribute","src",["concat",["http://openweathermap.org/img/w/",["get","day.weather.0.icon",["loc",[null,[23,46],[23,64]]]],".png"]]],
        ["content","day.temp.min",["loc",[null,[25,29],[25,45]]]],
        ["content","applicationController.temperatureUnitsSymbol",["loc",[null,[25,45],[25,93]]]],
        ["content","day.temp.max",["loc",[null,[26,29],[26,45]]]],
        ["content","applicationController.temperatureUnitsSymbol",["loc",[null,[26,45],[26,93]]]],
        ["content","day.temp.morn",["loc",[null,[28,36],[28,53]]]],
        ["content","applicationController.temperatureUnitsSymbol",["loc",[null,[28,53],[28,101]]]],
        ["content","day.temp.day",["loc",[null,[29,28],[29,44]]]],
        ["content","applicationController.temperatureUnitsSymbol",["loc",[null,[29,44],[29,92]]]],
        ["content","day.temp.night",["loc",[null,[30,32],[30,50]]]],
        ["content","applicationController.temperatureUnitsSymbol",["loc",[null,[30,50],[30,98]]]],
        ["content","day.temp.eve",["loc",[null,[31,28],[31,44]]]],
        ["content","applicationController.temperatureUnitsSymbol",["loc",[null,[31,44],[31,92]]]],
        ["content","day.humidity",["loc",[null,[33,38],[33,54]]]]
      ],
      locals: ["day"],
      templates: []
    };
  }());
  return {
    meta: {
      "revision": "Ember@1.13.11",
      "loc": {
        "source": null,
        "start": {
          "line": 1,
          "column": 0
        },
        "end": {
          "line": 35,
          "column": 9
        }
      },
      "moduleName": "my-weather-forecast/templates/city.hbs"
    },
    arity: 0,
    cachedFragment: null,
    hasRendered: false,
    buildFragment: function buildFragment(dom) {
      var el0 = dom.createDocumentFragment();
      var el1 = dom.createComment(" myWeatherForecast challenge by Juan Alba Maldonado ");
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createElement("p");
      dom.setAttribute(el1,"id","info_message");
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createComment("");
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n");
      dom.appendChild(el1, el2);
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n\n\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createElement("h2");
      dom.setAttribute(el1,"class","city_name");
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createComment("");
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n");
      dom.appendChild(el1, el2);
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createElement("h3");
      dom.setAttribute(el1,"class","city_country");
      var el2 = dom.createTextNode("\n	");
      dom.appendChild(el1, el2);
      var el2 = dom.createComment("");
      dom.appendChild(el1, el2);
      var el2 = dom.createTextNode("\n");
      dom.appendChild(el1, el2);
      dom.appendChild(el0, el1);
      var el1 = dom.createTextNode("\n\n\n");
      dom.appendChild(el0, el1);
      var el1 = dom.createComment("");
      dom.appendChild(el0, el1);
      return el0;
    },
    buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
      var morphs = new Array(4);
      morphs[0] = dom.createMorphAt(dom.childAt(fragment, [2]),1,1);
      morphs[1] = dom.createMorphAt(dom.childAt(fragment, [4]),1,1);
      morphs[2] = dom.createMorphAt(dom.childAt(fragment, [6]),1,1);
      morphs[3] = dom.createMorphAt(fragment,8,8,contextualElement);
      dom.insertBoundary(fragment, null);
      return morphs;
    },
    statements: [
      ["content","infoMessage",["loc",[null,[4,1],[4,16]]]],
      ["content","cityInfo.city.name",["loc",[null,[9,1],[9,23]]]],
      ["content","cityInfo.city.country",["loc",[null,[12,1],[12,26]]]],
      ["block","each",[["get","cityInfo.list",["loc",[null,[16,8],[16,21]]]]],[],0,null,["loc",[null,[16,0],[35,9]]]]
    ],
    locals: [],
    templates: [child0]
  };
}()));